Get resource reports

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/reports

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • date string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • activityId integer(int64)
    • dateWorked string(date-time)
    • totalHours number(double)
    • totalCost number(double)
    • percentComplete number(double)
    • autoGenerated boolean
GET /project/{projectId}/scenario/{scenarioId}/reports
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/reports' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": 42,
    "activityId": 42,
    "dateWorked": "2026-05-04T09:42:00Z",
    "totalHours": 42.0,
    "totalCost": 42.0,
    "percentComplete": 42.0,
    "autoGenerated": true
  }
]